> ## Documentation Index
> Fetch the complete documentation index at: https://docs.open.cx/llms.txt
> Use this file to discover all available pages before exploring further.

> Add contacts to a continuous sequence (`is_continuous` property of the sequence must be `true`).

# Add contacts to a continuous sequence



## OpenAPI

````yaml post /sequences/{sequence_id}/contacts
openapi: 3.1.0
info:
  title: OpenCX API
  description: >

    OpenCX is an AI-powered, all-in-one platform for customer support and
    outbound communications.


    Use this API to manage your OpenCX organization's AI agents, actions,
    conversations, contacts, and more.


    To get started, generate a new API key from the dashboard.


    ## Authentication

    All API endpoints require authentication using a Bearer token. You can
    generate an API key from your OpenCX dashboard.


    ## Rate Limiting

    API requests are rate limited to ensure fair usage. The current limits are:

    - 100 requests per minute for standard endpoints

    - 1000 requests per minute for streaming endpoints


    ## Error Handling

    The API uses standard HTTP status codes and returns detailed error messages
    in the response body.
  version: 1.0-beta
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://api.open.cx
    description: Production
security:
  - bearerAuth: []
paths:
  /sequences/{sequence_id}/contacts:
    post:
      summary: Add contacts to a continuous sequence
      description: >

        Add contacts to a continuous sequence (`is_continuous` property of the
        sequence must be `true`).

        Contacts will *not* be added to the sequence if the sequence's `filter`
        does not apply to the contact.


        Any contacts added will automatically be added to contacts if they don't
        already exist.
      operationId: addContactsToSequence
      parameters:
        - schema:
            type: string
          in: path
          name: sequence_id
          required: true
          description: The unique identifier of the sequence
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddContactsToSequenceInput'
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddContactsToSequenceOutput'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDto'
components:
  schemas:
    AddContactsToSequenceInput:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: '#/components/schemas/AddContactsToSequenceInputInput'
      type: object
      properties:
        contacts:
          type: array
          items:
            anyOf:
              - type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                required:
                  - id
              - type: object
                properties:
                  email:
                    type: string
                    format: email
                    pattern: >-
                      ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
                required:
                  - email
              - type: object
                properties:
                  phone_number:
                    type: string
                required:
                  - phone_number
      required:
        - contacts
    AddContactsToSequenceOutput:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: '#/components/schemas/AddContactsToSequenceOutput'
      type: object
      properties:
        run_id:
          type: string
      required:
        - run_id
      additionalProperties: false
    ErrorDto:
      type: object
      properties:
        statusCode:
          type: integer
        message:
          type: string
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````